org.gjt.sp.jedit.msg

## Class RegisterChanged

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.RegisterChanged

-     public class RegisterChanged
      extends EBMessage

  Message sent when a register is updated.
  Since:
    jEdit 4.3pre1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterChanged(EBComponent source, char name)` Creates a new registers changed message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `getRegisterName()`
    `java.lang.String` | `getRegisterValue()`
    `java.lang.String` | `paramString()` Returns a string representation of this message's parameters.

    - ### Methods inherited from class org.gjt.sp.jedit.EBMessage

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterChanged

          public RegisterChanged(EBComponent source,
                         char name)

      Creates a new registers changed message.
      Parameters:
        `source` - The message source

  - ### Method Detail

    - #### getRegisterName

          public char getRegisterName()

    - #### getRegisterValue

          public java.lang.String getRegisterValue()

    - #### paramString

          public java.lang.String paramString()

      Description copied from class: `EBMessage`
      Returns a string representation of this message's parameters.
      Overrides:
        `paramString` in class `EBMessage`